﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Web;

namespace WebApplication1.BO
{

    public enum KnightTypeEnum
    {
        English = 0,
        German = 1
    }
    public class Head : INotifyPropertyChanged
    {
        private List<Knight> knightsList;
        private int number;
        private KnightTypeEnum knightType=0;
        private int knightID;

        public event PropertyChangedEventHandler PropertyChanged;

        protected virtual void OnPropertyChanged(string propertyName)
        {
            PropertyChangedEventHandler handler = PropertyChanged;
            if (handler != null) handler(this, new PropertyChangedEventArgs(propertyName));
        }

        public int Number {
            get {
                return number;
            }
            set {
                number = value;
                OnPropertyChanged("Number");
            }
        }


        public KnightTypeEnum KnightType
        {
            get
            {
                return knightType;
            }
            set
            {
                knightType = value;
                OnPropertyChanged("KnightType");
            }
        }

        public int KnightID {
            get
            {
                return knightID;
            }
            set
            {
                knightID = value;
                OnPropertyChanged("knightID");
            }
        }
        /// <summary>
        /// list
        /// </summary>
        public List<Knight> KnightsList
        {
            get
            {
                if (knightsList == null)
                {
                    knightsList = new List<Knight>();

                    if (KnightType == KnightTypeEnum.English)
                    {
                        knightsList.Add(new Knight(1, Title.King, "Uther", true));
                        knightsList.Add(new Knight(2, Title.King, "Arthur", true));
                        knightsList.Add(new Knight(3, Title.Sir, "Mordred", false));
                        knightsList.Add(new Knight(4, Title.Sir, "Gawain", true));
                        knightsList.Add(new Knight(5, Title.Sir, "Galahad", true));
                    }
                    else
                    {
                        knightsList.Add(new Knight(11, Title.King, "Tannhäuser", true));
                        knightsList.Add(new Knight(12, Title.King, "Vecelin", true));
                        knightsList.Add(new Knight(13, Title.Sir, "Héder", false));
                        knightsList.Add(new Knight(14, Title.Sir, "Ulrich", true));
                        knightsList.Add(new Knight(15, Title.Sir, "Heinrich", true));
                    }
                }
                return knightsList;
            }
        }

    }
}